DSDP Basics

DSDP can be used within a C application through a set of subroutines.

The subroutines listed below use DSDP to solve problems in DSDP Standard Form. Several examples of applications that use the DSDP application program interface are included in the distribution.

Each of these applications includes the header

#include dsdp5.h

and link to the DSDP library.

Return values

  0 | if successful

The documentation of DSDP subroutines in this chapter will not show the return integer, but we highly recommend that applications check for errors after each subroutine.